/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.beans.catalog;

import com.arrebol.taxiservicios.beans.Datatable;
import com.arrebol.taxiservicios.beans.TaxiGenericBean;
import com.arrebol.taxiservicios.controller.catalog.RegimenFiscalController;
import com.arrebol.taxiservicios.model.catalog.RegimenFiscal;
import com.arrebol.taxiservicios.model.enums.BasicType;




import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.primefaces.event.ReorderEvent;
import org.primefaces.event.RowEditEvent;


/**
 *
 * @author oscarvargas
 */
@Named("regimenFiscalBean")
@ViewScoped
public class RegimenFiscalBean extends TaxiGenericBean implements Serializable, Datatable {


    public List<RegimenFiscal> getRegimenFiscal() {
        return regimenFiscal;
    }

    public RegimenFiscal getSelectedRegimenFiscal() {
        return selectedRegimenFiscal;
    }

    public void setSelectedRegimenFiscal(RegimenFiscal selectedRegimenFiscal) {
        this.selectedRegimenFiscal = selectedRegimenFiscal;
    }

    @PostConstruct
    public void init() {
        regimenFiscalController = new RegimenFiscalController();
        regimenFiscal = regimenFiscalController.fillRegimenFiscalDatatable();
        
    }


    private static final long serialVersionUID = -2400590341745672164L;

    private List<RegimenFiscal> regimenFiscal;
    private RegimenFiscal selectedRegimenFiscal;

    
    private RegimenFiscalController regimenFiscalController;

    @Override
    public void editRow(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowCancel(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowReorder(ReorderEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void addRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void deleteRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

}
